Flecs: ecs_app_desc_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_app_desc_t Struct Reference
C API » Addons » App

Used with ecs_app_run(). More...

`#include <app.h>`

## Public Attributes
ecs_ftime_t | target_fps
| Target FPS.
ecs_ftime_t | delta_time
| Frame time increment (0 for measured values)
int32_t | threads
| Number of threads.
int32_t | frames
| Number of frames to run (0 for infinite)
bool | enable_rest
| Enables ECS access over HTTP, necessary for explorer.
bool | enable_stats
| Periodically collect statistics.
uint16_t | port
| HTTP port used by REST API.
ecs_app_init_action_t | init
| If set, function is ran before starting the main loop.
void * | ctx
| Reserved for custom run/frame actions.

## Detailed Description

Used with ecs_app_run().

Definition at line 37 of file app.h.

## Member Data Documentation

## ◆ ctx

void* ecs_app_desc_t::ctx

Reserved for custom run/frame actions.

Definition at line 49 of file app.h.

## ◆ delta_time

ecs_ftime_t ecs_app_desc_t::delta_time

Frame time increment (0 for measured values)

Definition at line 39 of file app.h.

## ◆ enable_rest

bool ecs_app_desc_t::enable_rest

Enables ECS access over HTTP, necessary for explorer.

Definition at line 42 of file app.h.

## ◆ enable_stats

bool ecs_app_desc_t::enable_stats

Periodically collect statistics.

Definition at line 43 of file app.h.

## ◆ frames

int32_t ecs_app_desc_t::frames

Number of frames to run (0 for infinite)

Definition at line 41 of file app.h.

## ◆ init

ecs_app_init_action_t ecs_app_desc_t::init

If set, function is ran before starting the main loop.

Definition at line 46 of file app.h.

## ◆ port

uint16_t ecs_app_desc_t::port

HTTP port used by REST API.

Definition at line 44 of file app.h.

## ◆ target_fps

ecs_ftime_t ecs_app_desc_t::target_fps

Target FPS.

Definition at line 38 of file app.h.

## ◆ threads

int32_t ecs_app_desc_t::threads

Number of threads.

Definition at line 40 of file app.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/app.h